Package com.sap.ai.sdk.core.model

# Class MetaAPIVersion

java.lang.Object
com.sap.ai.sdk.core.model.MetaAPIVersion

public class MetaAPIVersion extends Object
API version description

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaAPIVersion()`
  Default constructor for MetaAPIVersion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetaAPIVersion`
  `create()`
  Create a new `MetaAPIVersion` instance.
  `MetaAPIVersion`
  `description(String description)`
  Set the description of this `MetaAPIVersion` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaAPIVersion`.
  `String`
  `getDescription()`
  version description
  `String`
  `getUrl()`
  URL of the API version
  `String`
  `getVersionId()`
  API version identifier
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaAPIVersion` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `MetaAPIVersion` instance.
  `void`
  `setUrl(String url)`
  Set the url of this `MetaAPIVersion` instance.
  `void`
  `setVersionId(String versionId)`
  Set the versionId of this `MetaAPIVersion` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaAPIVersion` instance including unrecognized properties.
  `String`
  `toString()`
  `MetaAPIVersion`
  `url(String url)`
  Set the url of this `MetaAPIVersion` instance and return the same instance.
  `MetaAPIVersion`
  `versionId(String versionId)`
  Set the versionId of this `MetaAPIVersion` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaAPIVersion

    protected MetaAPIVersion()
    Default constructor for MetaAPIVersion.

- ## Method Details

  - ### versionId

    @Nonnull public MetaAPIVersion versionId(@Nullable String versionId)
    Set the versionId of this `MetaAPIVersion` instance and return the same instance.
    Parameters:
      `versionId` - API version identifier
    Returns:
      The same instance of this `MetaAPIVersion` class

  - ### getVersionId

    @Nonnull public String getVersionId()
    API version identifier
    Returns:
      versionId The versionId of this `MetaAPIVersion` instance.

  - ### setVersionId

    public void setVersionId(@Nullable String versionId)
    Set the versionId of this `MetaAPIVersion` instance.
    Parameters:
      `versionId` - API version identifier

  - ### url

    @Nonnull public MetaAPIVersion url(@Nullable String url)
    Set the url of this `MetaAPIVersion` instance and return the same instance.
    Parameters:
      `url` - URL of the API version
    Returns:
      The same instance of this `MetaAPIVersion` class

  - ### getUrl

    @Nonnull public String getUrl()
    URL of the API version
    Returns:
      url The url of this `MetaAPIVersion` instance.

  - ### setUrl

    public void setUrl(@Nullable String url)
    Set the url of this `MetaAPIVersion` instance.
    Parameters:
      `url` - URL of the API version

  - ### description

    @Nonnull public MetaAPIVersion description(@Nullable String description)
    Set the description of this `MetaAPIVersion` instance and return the same instance.
    Parameters:
      `description` - version description
    Returns:
      The same instance of this `MetaAPIVersion` class

  - ### getDescription

    @Nonnull public String getDescription()
    version description
    Returns:
      description The description of this `MetaAPIVersion` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `MetaAPIVersion` instance.
    Parameters:
      `description` - version description

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaAPIVersion`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaAPIVersion` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaAPIVersion` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaAPIVersion` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaAPIVersion create()
    Create a new `MetaAPIVersion` instance. No arguments are required.